@font-face
{
  font-family: 'caption_font';
  src: url('/fonts/Oswald-Regular.ttf');
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

@font-face
{
  font-family: 'caption_font';
  src: url('/fonts/Oswald-Bold.ttf');
  font-weight: bold;
  font-style: normal;
  font-display: swap;
}

@font-face
{
  font-family: 'main_font';
  src: url('/fonts/Opensans-Regular.ttf');
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

@font-face
{
  font-family: 'main_font';
  src: url('/fonts/Opensans-Bold.ttf');
  font-weight: bold;
  font-style: normal;
  font-display: swap;
}

@font-face
{
  font-family: 'main_font';
  src: url('/fonts/Opensans-Italic.ttf');
  font-weight: normal;
  font-style: italic;
  font-display: swap;
}

@font-face
{
  font-family: 'main_font';
  src: url('/fonts/Opensans-BoldItalic.ttf');
  font-weight: bold;
  font-style: italic;
  font-display: swap;
}

.sitePreload
{
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: #000000;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center center;
  z-index: 9990;
}

.sitePreload__content
{
  display: flex;
  flex-direction: column;
  justify-content: center;
  height: 100%;
}

.sitePreload__image
{
  text-align: center;
}

.sitePreload__description
{
  padding: 20px;
  font-family: sans-serif;
  font-size: 16px;
  color: #ffffff;
  text-align: center;
}

.sitePreload__percent
{
  font-family: sans-serif;
  font-size: 16px;
  color: #ffffff;
  text-align: center;
}

#error_404
{
  position: absolute;
  left: 0px;
  top: 0px;
  width: 100%;
  height: 100%;
}

#error_404_content
{
  display: flex;
  flex-direction: column;
  justify-content: center;
  height: 100%;
}

#error_404_info
{
  font-family: 'main_font', sans-serif;
  font-size: 16px;
  color: #000000;
  text-align: center;
  padding: 40px 20px 40px 20px;
}

html, body, header, footer, div, span, a
{
  margin: 0px;
  padding: 0px;
}

body
{
  --main-bg-color: rgba(19, 19, 19, 1);

  background-color: var(--main-bg-color);
  /*background: radial-gradient(50% 62.47% at 50% 11.19%, #292E35 22.03%, #0C0E10 90.35%);*/
}

.clear
{
  clear: both;
}

#to_main_page
{
  position: absolute;
  left: 5px;
  bottom: 60px;
  padding: 10px 10px 10px 10px;
  font-family: 'main_font', sans-serif;
  font-size: 14px;
  background-color: #ffffff;
  border: 1px solid #cccccc;
  text-decoration: none;
  text-align: left;
}

.wrapper
{
  margin: 0 auto;
  padding: 0 20px 60px 20px;
  max-width: 1200px;
}

a:link, a:visited
{
  color: #ffb800;
}

a:hover
{
  color: #aaaaaa;
}

.blockLink:hover
{
  opacity: 0.8;
}

.center
{
  text-align: center;
}

.right
{
  text-align: right;
}

.img_full
{
  width: 100%;
}

.external:link, .external:visited, .external:hover
{
  margin: 0px 0px 0px 10px;
  display: inline-block;
  width: 24px;
  height: 24px;
  background: url(/img/external.svg) no-repeat top left;
  background-size: contain;
}

.external:hover
{
  opacity: 0.8;
}

.example_p
{
  padding: 20px 20px 0px 20px;
  text-align: center;
}

.example_button:link, .example_button:visited, .example_button:hover
{
  display: inline-block;
  padding: 10px 30px 10px 30px;
  font-family: 'main_font', sans-serif;
  font-size: 18px;
  font-weight: bold;
  color: #ffffff;
  text-transform: uppercase;
  text-align: center;
  text-decoration: none;
  background-color: #e16919;
  border: 1px solid #ffffff;
  cursor: pointer;
}

.example_button:hover
{
  background-color: #2266ee;
}

.news__date
{
  font-family: 'main_font', sans-serif;
  font-size: 13px;
  font-weight: bold;
  color: #ffffff;
  text-align: right;
}

.news__content
{
  font-family: 'main_font', sans-serif;
  font-size: 16px;
  color: #ffffff;
}

header
{
  position: relative;
  display: flex;
  flex-direction: column;
  margin: 0 auto;
  max-width: 1200px;
  height: 850px;
  justify-content: center;
  align-items: center;
}

.header__container
{
  position: absolute;
  margin: 0 auto;
  max-width: 1200px;
  background: url(/img/header_bg.svg) no-repeat center -655px;
  z-index: 20;
}

.header__logo
{
  position: absolute;
  left: 20px;
  top: 20px;
  z-index: 1000;
}

.logo
{
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100px;
  height: 100px;
  border-radius: 100px;
  border: 3px solid #2266ee;
}

.logo-image
{
  width: 60px;
  height: 60px;
}

.header__logo-image
{
  cursor: pointer;
  /*animation: header__logo-image 1.0s linear infinite;*/
}

@keyframes header__logo-image
{
  0%
  {
    opacity: 0.8;
    transform: scale(0.9);
  }
  50%
  {
    opacity: 1.0;
    transform: scale(1.0);
  }
  100%
  {
    opacity: 0.8;
    transform: scale(0.9);
  }
}

.header__logo-image:hover
{
  opacity: 0.8;
}

.logo-image__jpg
{
  display: none;
}

.logo-image__svg
{
  width: 100%;
}

.logo-model
{
  width: 100px;
  height: 100px;
  display: none;
}

.logo-model__loading
{
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
}

.logo-model__loading-content
{
  font-family: 'main_font', sans-serif;
  font-size: 16px;
  font-weight: bold;
  color: #2266ee;
  text-align: center;
}

.logo-model .site3dWidget__canvas, .logo-model .sitePreload
{
  background-color: transparent;
}

.logo-model .sitePreloadImageButton
{
  display: none;
}

.header__row
{
  display: flex;
  width: 100%;
  height: 700px;
  flex-wrap: wrap;
  justify-content: center;
}

.header__row-item
{
  flex-grow: 1;
  display: flex;
  height: 100%;
  justify-content: center;
  align-items: center;
}

.header__row-left, .header__row-right
{
  width: calc((100% - 300px) / 2);
}

.header__row-center
{
  width: 300px;
}

.title
{
  display: block;
  width: 360px;
}

.title_company-name
{
  font-family: 'caption_font', sans-serif;
  font-size: 124px;
  font-weight: bold;
  color: #ffffff;
  text-align: center;
  line-height: 130px;
}

.title_company-description
{
  font-family: 'main_font', sans-serif;
  font-size: 14px;
  font-weight: bold;
  color: #ffb800;
  text-align: center;
}

.round-action-button
{
  position: absolute;
  display: flex;
  width: 283px;
  height: 283px;
  justify-content: center;
  align-items: center;
  text-decoration: none;
  background-image: url(/img/round-action-button.svg);
  background-repeat: no-repeat;
  background-size: contain;
  cursor: pointer;
}

.round-action-button__content
{
  width: 145px;
  font-family: 'caption_font', sans-serif;
  font-size: 32px;
  line-height: 48px;
  color: #ffffff;
  text-transform: uppercase;
  text-align: center;
}

.round-action-button:hover
{
  background-image: url(/img/round-action-button_hover.svg);
}

.round-action-button:hover > .round-action-button_content
{
  color: #ffe100;
}

.header__image
{
  width: 330px;
  height: 369px;
  background: url(/img/header__image.png);
  filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25));
}

.header__menu-button
{
  position: absolute;
  right: 0;
  top: 20px;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100px;
  height: 100px;
  z-index: 1000;
}

.menu-button:hover
{
  opacity: 0.8;
}

.menu-button__image
{
  width: 60px;
}

.header__menu
{
  position: absolute;
  right: 0;
  top: 0;
  display: none;
  width: 300px;
  box-sizing: border-box;
  padding: 60px;
  background: #21262b;
  box-shadow: 0 20px 30px #0F1014;
  z-index: 2000;
  animation: header__menu_anim 0.5s linear;
}

@keyframes header__menu_anim
{
  0%
  {
    opacity: 0.0;
    transform: scale(0);
  }
  50%
  {
    opacity: 0.5;
    transform: scale(0.5);
  }
}

.menu__item
{
  display: block;
  padding: 20px 0 20px 0;
}

.menu__link:link, .menu__link:visited, .menu__link:hover
{
  font-family: 'main_font', sans-serif;
  font-size: 16px;
  text-decoration: none;
}

.menu__link:link, .menu__link:visited
{
  color: #ffffff;
}

.menu__link:hover
{
  color: #ff6000;
}

.menu__close
{
  position: absolute;
  right: 10px;
  top: 10px;
}

.menu__close:hover
{
  opacity: 0.8;
}

.header__present
{
  background-color: #2266ee;
}

.present-video
{
  display: block;
  width: 100%;
  height: 400px;
  object-fit: contain;
}

.caption
{
  height: 150px;
  margin: 0;
  padding: 0 20px 0 20px;
  font-family: 'caption_font', sans-serif;
  font-size: 60px;
  font-weight: bold;
  color: #464F5A;
  text-transform: uppercase;
  text-align: center;
  line-height: 60px;
}

.header__effect-border
{
  position: absolute;
  margin: 0 auto;
  width: 100%;
  height: 100%;
  background: radial-gradient(circle closest-side at center, rgba(0, 0, 0, 0), var(--main-bg-color));
  z-index: 11;
}

.header__effect
{
  position: absolute;
  margin: 0 auto;
  width: 100%;
  height: 100%;
  z-index: 10;
}

.subtitle
{
  margin: 0;
  padding: 40px 0 40px 0;
  font-family: 'caption_font', sans-serif;
  font-size: 50px;
  line-height: 60px;
  font-weight: bold;
  color: #ffffff;
  text-transform: uppercase;
  text-align: center;
}

.block__subtitle
{
  margin: 0;
  padding: 0;
  font-size: 60px;
  line-height: 70px;
}

.subtitle__bright
{
  color: #2266ee;
}

.subtitle-level-3
{
  margin: 0;
  padding: 40px 0 40px 0;
  font-family: 'caption_font', sans-serif;
  font-size: 40px;
  line-height: 50px;
  font-weight: bold;
  color: #ffffff;
  text-transform: uppercase;
  text-align: center;
}

.description
{
  padding: 0 20px 50px 20px;
  font-family: 'main_font', sans-serif;
  font-size: 16px;
  color: #ffffff;
  text-align: left;
}

.call
{
  font-size: 18px;
  font-weight: bold;
  color: #ffb800;
  text-align: center;
}

.description__call
{
  padding: 20px;
}

.block
{
  padding: 40px 0 100px 0;
  font-family: 'main_font', sans-serif;
  font-size: 16px;
  color: #000000;
  text-align: center;
}

.block__caption
{
  padding: 0px 0px 80px 0px;
}

.block__description
{
  margin-top: 10px;
  font-family: 'main_font', sans-serif;
  font-size: 18px;
  color: #ffffff;
  text-align: center;
}

.form
{
  text-align: left;
}

.services__items
{
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.services__item
{
  display: flex;
  flex-direction: column;
  width: 380px;
  height: 600px;
  box-sizing: border-box;
  background-color: #21262b;
  box-shadow: 0 20px 30px #0F1014;
}

.services__item-caption
{
  padding: 30px 10px 30px 10px;
  font-family: 'caption_font', sans-serif;
  font-size: 32px;
  color: #ffffff;
  text-align: center;
  background-color: #21262b;
}

.services__item-image
{
  flex-grow: 1;
  margin: 20px;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center center;
}

.services__item-image_1
{
  background-image: url(/img/services/1.svg);
}

.services__item-image_2
{
  background-image: url(/img/services/2.svg);
}

.services__item-image_3
{
  background-image: url(/img/services/3.svg);
}

.services__item-detail:link, .services__item-detail:visited, .services__item-detail:hover
{
  padding: 30px 10px 30px 10px;
  font-family: 'caption_font', sans-serif;
  font-size: 32px;
  text-align: center;
  text-decoration: none;
  background-color: #21262b;
}

.services__item-detail:link, .services__item-detail:visited
{
  color: #ffb800;
  background-color: #21262b;
}

.services__item-detail:hover
{
  color: #ffffff;
  background-color: #ffb800;
}

.action-button
{
  display: block;
  text-align: center;
}

.block__action-button
{
  margin-top: 80px;
}

.action-button__link, .action-button__link:link, .action-button__link:visited, .action-button__link:hover
{
  display: inline-block;
  width: 200px;
  box-sizing: border-box;
  font-family: 'caption_font', sans-serif;
  font-size: 18px;
  color: #ffffff;
  text-transform: uppercase;
  text-align: center;
  line-height: 50px;
  text-decoration: none;
  background-color: #21262b;
  border: 1px solid #ffb800;
  cursor: pointer;
}

.action-button__link:hover
{
  background-color: #ffb800;
}

.constructor-video
{
  display: block;
  width: 100%;
  height: auto;
  object-fit: contain;
}

.constructor__detail
{
  text-align: center;
  padding: 60px 10px 60px 10px;
}

.constructor__detail-button
{
  display: inline-block;
  padding: 15px 20px 15px 20px;
  font-family: 'main_font', sans-serif;
  font-size: 18px;
  color: #000000;
  border: 1px solid #ffffff;
  background-color: #ffffff;
  text-align: center;
  text-decoration: none;
}

.constructor__detail-button:hover
{
  color: #ffffff;
  background-color: #e16919;
}

.advantages__item
{
  display: inline-block;
  vertical-align: top;
  width: 195px;
  margin: 20px 20px 0 20px;
  background-position: center 20px;
  background-repeat: no-repeat;
  background-size: 100px 100px;
  padding-top: 140px;
}

.advantages__item_selected
{
}

.advantages__item[data-index="1"]
{
  background-image: url(/img/advantages/001.svg);
}

.advantages__item[data-index="2"]
{
  background-image: url(/img/advantages/002.svg);
}

.advantages__item[data-index="3"]
{
  background-image: url(/img/advantages/003.svg);
}

.advantages__item[data-index="4"]
{
  background-image: url(/img/advantages/004.svg);
}

.advantages__item-caption
{
  font-family: 'caption_font', sans-serif;
  font-size: 18px;
  font-weight: bold;
  color: #ffb800;
  text-align: center;
  height: 50px;
}

.advantages__item-description
{
  font-family: 'main_font', sans-serif;
  font-size: 16px;
  line-height: 22px;
  color: #ffffff;
  text-align: center;
  padding: 0px 10px 0px 10px;
  height: 120px;
}

.examples__content
{
  position: relative;
  padding: 20px 0px 0px 0px;
}

.examples-load
{
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100%;
  z-index: 999999;
}

.examples-load__content
{
  font-family: 'main_font', sans-serif;
  font-size: 18px;
  font-weight: bold;
  color: #ffffff;
  text-align: center;
}

.examples-items
{
  padding: 20px 0 20px 0;
}

.examples-items__content
{
  display: flex;
  flex-wrap: wrap;
}

.examples-item
{
  width: 50%;
  flex-grow: 1;
}

.examples-item__content
{
  border: 1px solid #6f767a;
}

.examples-item__caption
{
  display: flex;
  align-items: center;
  margin: 0;
  padding: 0;
  height: 60px;
}

.examples-item__caption-content
{
  width: 100%;
  padding: 0 20px 0 20px;
  font-family: 'caption_font', sans-serif;
  font-size: 24px;
  line-height: 24px;
  font-weight: normal;
  color: #ffffff;
  text-align: center;
}

.examples-item__action-button
{
  display: flex;
  height: 80px;
  justify-content: center;
  align-items: center;
}

.examples-item__description
{
  display: flex;
  align-items: center;
  justify-content: center;
  height: 420px;
}

.examples-item__description-content
{
  display: inline-block;
}

.examples__container
{
  position: relative;
  box-sizing: border-box;
  padding: 0 10px;
  width: 100%;
  height: 420px;
  font-size: 0;
  overflow-y: hidden;
}

.examples__more-button
{
  display: inline-block;
  width: 121px;
  height: 50px;
  background-image: url(/img/more-button.svg);
  background-repeat: no-repeat;
  background-position: center center;
  cursor: pointer;
}

.examples__more-button:hover
{
  background-image: url(/img/more-button_hover.svg);
}

.reviews__items
{
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.reviews__item
{
  margin: 20px;
}

.reviews__item-name
{
  margin-top: 22px;
  font-family: 'caption_font', sans-serif;
  font-size: 32px;
  font-weight: bold;
  color: #ffffff;
}

.reviews__item-company
{
  margin-top: 5px;
  font-family: 'main_font', sans-serif;
  font-size: 18px;
  color: #2266ee;
}

.reviews__item-text
{
  margin-top: 20px;
  font-family: 'main_font', sans-serif;
  font-size: 16px;
  color: #ffffff;
  text-align: left;
}

.reviews__item-link
{
  margin-top: 20px;
  font-family: 'main_font', sans-serif;
  font-size: 16px;
}

.dev
{
  display: flex;
  flex-wrap: wrap;
}

.dev__info
{
  width: 50%;
  font-family: 'main_font', sans-serif;
  font-size: 14px;
  color: #ffffff;
  text-align: left;
  order: 1;
}

.dev__info-content
{
  font-family: 'main_font', sans-serif;
  font-size: 14px;
  color: #ffffff;
  padding: 0px 20px 0px 50px;
}

.dev__form
{
  width: 50%;
}

.footer
{
  padding: 30px 60px 30px 60px;
}

.footer__content
{
  margin: 0 auto;
  max-width: 1200px;
}

.footer__row
{
  display: flex;
}

.footer__info
{
  width: 50%;
  font-family: 'main_font', sans-serif;
  font-size: 16px;
  color: #ffffff;
}

.footer__logo
{
  width: 80px;
  height: 80px;
}

.footer__logo-image
{
  width: 50px;
  height: 50px;
}

.footer__menu
{
  padding: 20px 0px 20px 0px;
}

.footer__menu-item
{
  display: block;
  padding: 5px 0px 5px 0px;
  font-family: 'main_font', sans-serif;
  font-size: 13px;
  color: #ffffff;
}

.footer__company-details
{
  font-family: 'main_font', sans-serif;
  font-size: 12px;
  color: #9aa9b2;
}

.footer__contacts
{
  width: 50%;
  text-align: right;
}

.footer__social, .footer__phones-email
{
  display: inline-block;
  vertical-align: top;
  font-family: 'main_font', sans-serif;
  font-size: 16px;
  color: #000000;
  text-align: left;
}

.footer__social
{
  margin-right: 50px;
}

.footer__social-item
{
  display: inline-block;
  width: 40px;
  height: 40px;
  margin-right: 10px;
  background-size: contain;
}

.footer__social-item[data-type="vk"]
{
  background-image: url(/img/social/vk.svg);
}

.footer__social-item[data-type="fb"]
{
  background-image: url(/img/social/fb.svg);
}

.footer__social-item[data-type="youtube"]
{
  background-image: url(/img/social/youtube.svg);
}

.footer__social-item:hover
{
  opacity: 0.8;
}

.footer__rules
{
  font-family: 'main_font', sans-serif;
  font-size: 12px;
  color: #9aa9b2;
}

.lang-button
{
  display: inline-block;
  opacity: 0.6;
}

.lang-button:hover
{
  transform: scale(1.1);
}

.lang-button_selected
{
  opacity: 1;
}

.youtube
{
  display: block;
  position: relative;
  padding: 0 0 56.25% 0;
  height: 0;
  overflow: hidden;
}

.youtube__iframe
{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

@media screen and (max-width: 1200px)
{
  .present-video
  {
    height: auto;
  }

  .services__items
  {
    margin-bottom: -60px;
  }

  .services__item
  {
    width: 100%;
    margin-bottom: 60px;
  }

  .constructor-video
  {
    height: auto;
  }

  .examples-item
  {
    width: 100%;
  }

  .order__description
  {
    width: auto;
  }

  .dev__info, .dev__form
  {
    width: 100%;
    order: 0;
  }

  .dev__info-content
  {
    padding: 0px 20px 0px 20px;
  }

  footer
  {
    padding: 20px 0px 20px 0px;
  }

  .footer__row
  {
    flex-direction: column;
  }

  .footer__info
  {
    width: auto;
  }

  .footer__contacts
  {
    width: auto;
    text-align: left;
  }
}

@media screen and (max-width: 1020px)
{
  header
  {
    height: 800px;
    justify-content: normal;
  }

  .header__container
  {
    background-position-y: -542.5px;
  }

  .header__logo
  {
    width: 100px;
    height: 100px;
  }

  .header__logo-image
  {
    width: 60px;
    height: 60px;
  }

  .header__logo-model
  {
    width: 100px;
    height: 100px;
  }

  .logo-model__loading-content
  {
    font-size: 15px;
  }

  .header__row
  {
    flex-direction: column;
    height: auto;
    padding-top: 115px;
  }

  .header__row-item
  {
    height: auto;
  }

  .header__row-left, .header__row-center, .header__row-right
  {
    width: 100%;
  }

  .header__row-left
  {
    height: 180px;
  }

  .header__row-center
  {
    height: 340px;
  }

  .header__row-right
  {
    display: none;
  }

  .caption
  {
    height: auto;
    padding: 20px 10px 60px 10px;
    font-size: 34px;
    line-height: 38px;
  }

  .wrapper
  {
    padding: 0 20px 0 20px;
  }

  .footer_social_item
  {
    width: 30px;
    height: 30px;
  }
}

@media screen and (max-width: 500px)
{
  .header__row-left
  {
    justify-content: normal;
  }

  .header__title
  {
    width: 240px;
    margin-left: 20px;
  }

  .title_company-name
  {
    font-size: 80px;
    text-align: left;
    line-height: 80px;
  }

  .title_company-description
  {
    text-align: left;
  }

  .subtitle
  {
    font-size: 38px;
    line-height: 44px;
  }
}
